﻿using System.Drawing;
using System.Windows.Forms;

using ScottPlot;
using ScottPlot.Plottable;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Plot plot = new Plot(800, 600);

            plot.AddSignal(DataGen.Sin(51));

            MarkerPlot markerPlot = plot.AddMarker(35, 0.6);

            markerPlot.TextFont.Alignment = Alignment.UpperCenter;
            markerPlot.TextFont.Size      = 28;
            markerPlot.TextFont.Color     = Color.Magenta;
            markerPlot.Text               = "관심 포인트";

            this.formsPlot.Reset(plot);

            this.formsPlot.Refresh();
        }

        #endregion
    }
}